OpenMetal
API referenceApi keys

Revoke Project Api Key

POST
/v1/projects/{project_id}/api-keys/{api_key_id}/revoke

Authorization

bearerAuth
AuthorizationBearer <token>

Use a project API key for sandbox and runtime routes, or an OpenMetal user access token for account management routes.

In: header

Path Parameters

project_id*string
Match^prj_[A-Za-z0-9]+$
api_key_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "project_id": "string",  "name": "string",  "prefix": "stringst",  "created_at": "2019-08-24T14:15:22Z",  "last_used_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "revoked_at": "2019-08-24T14:15:22Z",  "deleted_at": "2019-08-24T14:15:22Z"}